/*
 * Class SED_INDEPENDENT_SERIALIZER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_112 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_112 [] = {0xFF01,237,111,0xFFFF};
static const EIF_TYPE_INDEX egt_2_112 [] = {0xFF01,111,0xFFFF};
static const EIF_TYPE_INDEX egt_3_112 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_112 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_112 [] = {0xFF01,111,0xFFFF};
static const EIF_TYPE_INDEX egt_6_112 [] = {0xFF01,111,0xFFFF};
static const EIF_TYPE_INDEX egt_7_112 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_112 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_112 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_112 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_112 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_112 [] = {0xFF01,111,0xFFFF};
static const EIF_TYPE_INDEX egt_13_112 [] = {0xFF01,310,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_112 [] = {0xFF01,38,0xFFFF};
static const EIF_TYPE_INDEX egt_15_112 [] = {0xFF01,132,0xFFFF};
static const EIF_TYPE_INDEX egt_16_112 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_17_112 [] = {0xFF01,47,0xFFFF};
static const EIF_TYPE_INDEX egt_18_112 [] = {0xFF01,171,0xFFFF};
static const EIF_TYPE_INDEX egt_19_112 [] = {0xFF01,49,0xFFFF};
static const EIF_TYPE_INDEX egt_20_112 [] = {0xFF01,48,0xFFFF};
static const EIF_TYPE_INDEX egt_21_112 [] = {0xFF01,310,206,206,0xFFFF};


static const struct desc_info desc_112[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_112), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_112), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_112), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_112), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_112), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_112), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_112), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_112), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_112), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_112), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_112), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_112), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xDF /*111*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_112), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1460, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1461, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1462, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1463, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_112), 1464, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1484, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 1485, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_112), 1486, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1487, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1488, 20},
	{EIF_GENERIC(NULL), 1489, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1490, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1491, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1492, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1493, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_112), 1494, 4},
	{EIF_GENERIC(egt_16_112), 1495, 8},
	{EIF_GENERIC(egt_17_112), 1496, 12},
	{EIF_GENERIC(egt_18_112), 1497, 16},
	{EIF_GENERIC(egt_19_112), 1498, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_112), 1499, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 1500, 24},
	{EIF_GENERIC(NULL), 1514, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1513, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1503, 21},
	{EIF_GENERIC(NULL), 1515, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1505, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1506, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1507, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1508, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1465, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1466, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1467, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1468, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1469, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1470, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1471, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1472, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1473, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1474, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1475, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1476, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1477, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1478, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1479, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1480, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1481, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1482, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_112), 1516, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1517, 0xFFFFFFFF},
};
void Init112(void)
{
	IDSC(desc_112, 0, 111);
	IDSC(desc_112 + 1, 1, 111);
	IDSC(desc_112 + 32, 201, 111);
	IDSC(desc_112 + 37, 341, 111);
	IDSC(desc_112 + 80, 195, 111);
}


#ifdef __cplusplus
}
#endif
